Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.ControlElement

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.ControlElement

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.ControlElement

extends java.lang.Enum
implements QtEnumerator

This enum represents a control element. A control element is a part of a widget that performs some action or displays information to the user.

See also:
  `drawControl()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.ControlElement` | `CE_CheckBox` A `QCheckBox`, draws a `PE_IndicatorCheckBox` , a `CE_CheckBoxLabel` and a `PE_FrameFocusRect` .
`static QStyle.ControlElement` | `CE_CheckBoxLabel` The label (text or pixmap) of a `QCheckBox`.
`static QStyle.ControlElement` | `CE_ColumnViewGrip`
`static QStyle.ControlElement` | `CE_ComboBoxLabel` The label of a non-editable `QComboBox`.
`static QStyle.ControlElement` | `CE_CustomBase` Base value for custom control elements; custom values must be greater than this value.
`static QStyle.ControlElement` | `CE_DockWidgetTitle` Dock window title.
`static QStyle.ControlElement` | `CE_FocusFrame` Focus frame that is style controlled.
`static QStyle.ControlElement` | `CE_Header` A header.
`static QStyle.ControlElement` | `CE_HeaderEmptyArea` The area of a header view where there are no header sections.
`static QStyle.ControlElement` | `CE_HeaderLabel` The header's label.
`static QStyle.ControlElement` | `CE_HeaderSection` A header section.
`static QStyle.ControlElement` | `CE_ItemViewItem` An item inside an item view.
`static QStyle.ControlElement` | `CE_MenuBarEmptyArea` The empty area of a `QMenuBar`.
`static QStyle.ControlElement` | `CE_MenuBarItem` A menu item in a `QMenuBar`.
`static QStyle.ControlElement` | `CE_MenuEmptyArea` The area in a menu without menu items.
`static QStyle.ControlElement` | `CE_MenuHMargin` The horizontal extra space on the left/right of a menu.
`static QStyle.ControlElement` | `CE_MenuItem` A menu item in a `QMenu`.
`static QStyle.ControlElement` | `CE_MenuScroller` Scrolling areas in a `QMenu` when the style supports scrolling.
`static QStyle.ControlElement` | `CE_MenuTearoff` A menu item representing the tear off section of a `QMenu`.
`static QStyle.ControlElement` | `CE_MenuVMargin` The vertical extra space on the top/bottom of a menu.
`static QStyle.ControlElement` | `CE_ProgressBar` A `QProgressBar`, draws `CE_ProgressBarGroove` , `CE_ProgressBarContents` and `CE_ProgressBarLabel` .
`static QStyle.ControlElement` | `CE_ProgressBarContents` The progress indicator of a `QProgressBar`.
`static QStyle.ControlElement` | `CE_ProgressBarGroove` The groove where the progress indicator is drawn in a `QProgressBar`.
`static QStyle.ControlElement` | `CE_ProgressBarLabel` The text label of a `QProgressBar`.
`static QStyle.ControlElement` | `CE_PushButton` A `QPushButton`, draws `CE_PushButtonBevel` , `CE_PushButtonLabel` and `PE_FrameFocusRect` .
`static QStyle.ControlElement` | `CE_PushButtonBevel` The bevel and default indicator of a `QPushButton`.
`static QStyle.ControlElement` | `CE_PushButtonLabel` The label (an icon with text or pixmap) of a `QPushButton`.
`static QStyle.ControlElement` | `CE_Q3DockWindowEmptyArea` The empty area of a `QDockWidget`.
`static QStyle.ControlElement` | `CE_RadioButton` A `QRadioButton`, draws a `PE_IndicatorRadioButton` , a `CE_RadioButtonLabel` and a `PE_FrameFocusRect` .
`static QStyle.ControlElement` | `CE_RadioButtonLabel` The label (text or pixmap) of a `QRadioButton`.
`static QStyle.ControlElement` | `CE_RubberBand` Rubber band used in for example an icon view.
`static QStyle.ControlElement` | `CE_ScrollBarAddLine` Scroll bar line increase indicator.
`static QStyle.ControlElement` | `CE_ScrollBarAddPage` Scolllbar page increase indicator (i.e., page down).
`static QStyle.ControlElement` | `CE_ScrollBarFirst` Scroll bar first line indicator (i.e., home).
`static QStyle.ControlElement` | `CE_ScrollBarLast` Scroll bar last line indicator (i.e., end).
`static QStyle.ControlElement` | `CE_ScrollBarSlider` Scroll bar slider.
`static QStyle.ControlElement` | `CE_ScrollBarSubLine` Scroll bar line decrease indicator (i.e., scroll up).
`static QStyle.ControlElement` | `CE_ScrollBarSubPage` Scroll bar page decrease indicator (i.e., page up).
`static QStyle.ControlElement` | `CE_SizeGrip` Window resize handle; see also `QSizeGrip`.
`static QStyle.ControlElement` | `CE_Splitter` Splitter handle; see also `QSplitter`.
`static QStyle.ControlElement` | `CE_TabBarTab` The tab and label within a `QTabBar`.
`static QStyle.ControlElement` | `CE_TabBarTabLabel` The label within a tab.
`static QStyle.ControlElement` | `CE_TabBarTabShape` The tab shape within a tab bar.
`static QStyle.ControlElement` | `CE_ToolBar` A toolbar like `QToolBar`.
`static QStyle.ControlElement` | `CE_ToolBoxTab` The toolbox's tab and label within a `QToolBox`.
`static QStyle.ControlElement` | `CE_ToolBoxTabLabel` The toolbox's tab label.
`static QStyle.ControlElement` | `CE_ToolBoxTabShape` The toolbox's tab shape.
`static QStyle.ControlElement` | `CE_ToolButtonLabel` A tool button's label.
`static QStyle.ControlElement` | `CustomEnum`

Method Summary
`static QStyle.ControlElement` | `resolve(int value)` Returns the QStyle$ControlElement constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.ControlElement` | `valueOf(java.lang.String name)`
`static QStyle.ControlElement[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CE_PushButton

    public static final QStyle.ControlElement CE_PushButton

  A `QPushButton`, draws `CE_PushButtonBevel` , `CE_PushButtonLabel` and `PE_FrameFocusRect` .

### CE_PushButtonBevel

    public static final QStyle.ControlElement CE_PushButtonBevel

  The bevel and default indicator of a `QPushButton`.

### CE_PushButtonLabel

    public static final QStyle.ControlElement CE_PushButtonLabel

  The label (an icon with text or pixmap) of a `QPushButton`.

### CE_CheckBox

    public static final QStyle.ControlElement CE_CheckBox

  A `QCheckBox`, draws a `PE_IndicatorCheckBox` , a `CE_CheckBoxLabel` and a `PE_FrameFocusRect` .

### CE_CheckBoxLabel

    public static final QStyle.ControlElement CE_CheckBoxLabel

  The label (text or pixmap) of a `QCheckBox`.

### CE_RadioButton

    public static final QStyle.ControlElement CE_RadioButton

  A `QRadioButton`, draws a `PE_IndicatorRadioButton` , a `CE_RadioButtonLabel` and a `PE_FrameFocusRect` .

### CE_RadioButtonLabel

    public static final QStyle.ControlElement CE_RadioButtonLabel

  The label (text or pixmap) of a `QRadioButton`.

### CE_TabBarTab

    public static final QStyle.ControlElement CE_TabBarTab

  The tab and label within a `QTabBar`.

### CE_TabBarTabShape

    public static final QStyle.ControlElement CE_TabBarTabShape

  The tab shape within a tab bar.

### CE_TabBarTabLabel

    public static final QStyle.ControlElement CE_TabBarTabLabel

  The label within a tab.

### CE_ProgressBar

    public static final QStyle.ControlElement CE_ProgressBar

  A `QProgressBar`, draws `CE_ProgressBarGroove` , `CE_ProgressBarContents` and `CE_ProgressBarLabel` .

### CE_ProgressBarGroove

    public static final QStyle.ControlElement CE_ProgressBarGroove

  The groove where the progress indicator is drawn in a `QProgressBar`.

### CE_ProgressBarContents

    public static final QStyle.ControlElement CE_ProgressBarContents

  The progress indicator of a `QProgressBar`.

### CE_ProgressBarLabel

    public static final QStyle.ControlElement CE_ProgressBarLabel

  The text label of a `QProgressBar`.

### CE_MenuItem

    public static final QStyle.ControlElement CE_MenuItem

  A menu item in a `QMenu`.

### CE_MenuScroller

    public static final QStyle.ControlElement CE_MenuScroller

  Scrolling areas in a `QMenu` when the style supports scrolling.

### CE_MenuVMargin

    public static final QStyle.ControlElement CE_MenuVMargin

  The vertical extra space on the top/bottom of a menu.

### CE_MenuHMargin

    public static final QStyle.ControlElement CE_MenuHMargin

  The horizontal extra space on the left/right of a menu.

### CE_MenuTearoff

    public static final QStyle.ControlElement CE_MenuTearoff

  A menu item representing the tear off section of a `QMenu`.

### CE_MenuEmptyArea

    public static final QStyle.ControlElement CE_MenuEmptyArea

  The area in a menu without menu items.

### CE_MenuBarItem

    public static final QStyle.ControlElement CE_MenuBarItem

  A menu item in a `QMenuBar`.

### CE_MenuBarEmptyArea

    public static final QStyle.ControlElement CE_MenuBarEmptyArea

  The empty area of a `QMenuBar`.

### CE_ToolButtonLabel

    public static final QStyle.ControlElement CE_ToolButtonLabel

  A tool button's label.

### CE_Header

    public static final QStyle.ControlElement CE_Header

  A header.

### CE_HeaderSection

    public static final QStyle.ControlElement CE_HeaderSection

  A header section.

### CE_HeaderLabel

    public static final QStyle.ControlElement CE_HeaderLabel

  The header's label.

### CE_Q3DockWindowEmptyArea

    public static final QStyle.ControlElement CE_Q3DockWindowEmptyArea

  The empty area of a `QDockWidget`.

### CE_ToolBoxTab

    public static final QStyle.ControlElement CE_ToolBoxTab

  The toolbox's tab and label within a `QToolBox`.

### CE_SizeGrip

    public static final QStyle.ControlElement CE_SizeGrip

  Window resize handle; see also `QSizeGrip`.

### CE_Splitter

    public static final QStyle.ControlElement CE_Splitter

  Splitter handle; see also `QSplitter`.

### CE_RubberBand

    public static final QStyle.ControlElement CE_RubberBand

  Rubber band used in for example an icon view.

### CE_DockWidgetTitle

    public static final QStyle.ControlElement CE_DockWidgetTitle

  Dock window title.

### CE_ScrollBarAddLine

    public static final QStyle.ControlElement CE_ScrollBarAddLine

  Scroll bar line increase indicator. (i.e., scroll down); see also `QScrollBar`.

### CE_ScrollBarSubLine

    public static final QStyle.ControlElement CE_ScrollBarSubLine

  Scroll bar line decrease indicator (i.e., scroll up).

### CE_ScrollBarAddPage

    public static final QStyle.ControlElement CE_ScrollBarAddPage

  Scolllbar page increase indicator (i.e., page down).

### CE_ScrollBarSubPage

    public static final QStyle.ControlElement CE_ScrollBarSubPage

  Scroll bar page decrease indicator (i.e., page up).

### CE_ScrollBarSlider

    public static final QStyle.ControlElement CE_ScrollBarSlider

  Scroll bar slider.

### CE_ScrollBarFirst

    public static final QStyle.ControlElement CE_ScrollBarFirst

  Scroll bar first line indicator (i.e., home).

### CE_ScrollBarLast

    public static final QStyle.ControlElement CE_ScrollBarLast

  Scroll bar last line indicator (i.e., end).

### CE_FocusFrame

    public static final QStyle.ControlElement CE_FocusFrame

  Focus frame that is style controlled.

### CE_ComboBoxLabel

    public static final QStyle.ControlElement CE_ComboBoxLabel

  The label of a non-editable `QComboBox`.

### CE_ToolBar

    public static final QStyle.ControlElement CE_ToolBar

  A toolbar like `QToolBar`.

### CE_ToolBoxTabShape

    public static final QStyle.ControlElement CE_ToolBoxTabShape

  The toolbox's tab shape.

### CE_ToolBoxTabLabel

    public static final QStyle.ControlElement CE_ToolBoxTabLabel

  The toolbox's tab label.

### CE_HeaderEmptyArea

    public static final QStyle.ControlElement CE_HeaderEmptyArea

  The area of a header view where there are no header sections.

### CE_ColumnViewGrip

    public static final QStyle.ControlElement CE_ColumnViewGrip

### CE_ItemViewItem

    public static final QStyle.ControlElement CE_ItemViewItem

  An item inside an item view.

### CE_CustomBase

    public static final QStyle.ControlElement CE_CustomBase

  Base value for custom control elements; custom values must be greater than this value.

### CustomEnum

    public static final QStyle.ControlElement CustomEnum

Method Detail

### values

    public static QStyle.ControlElement[] values()

### valueOf

    public static QStyle.ControlElement valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.ControlElement resolve(int value)

  Returns the QStyle$ControlElement constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD